<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bReparacion,m05bClasses.* ,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
		<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>


<HTML>
<head>
		<title><%= resTit.getString("titMtoReparaciones")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<%
	String codigo= request.getParameter("Codigo");
	String persona = (String) session.getAttribute("persona");
	String sql = "", mensaje="", accion, observaciones;
	mensaje = request.getParameter("Mensaje")==null?"":request.getParameter("Mensaje");
	m05bReparacion reparacion = null;
	m05bFileLog miLog = new m05bFileLog();
	if ( ((codigo==null) || (codigo.equals(""))) && (!(mensaje.equals("Existe"))) ) {
		codigo= "";
		accion=m05bConstantes.ACC_INSERTAR;
		session.removeAttribute("m05bReparacion");
	} else   {
		accion=m05bConstantes.ACC_ACTUALIZAR;
		reparacion = (m05bReparacion)session.getAttribute("m05bReparacion");
	}

	PrintWriter outMsg= response.getWriter();
	if (mensaje.equals(m05bConstantes.MSG_OK)) {
	    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_EXISTE)) {
		accion=m05bConstantes.ACC_INSERTAR;
	    outMsg.println("<script>alert(dameAlerta(idioma, 6));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_INTEGRIDAD)){
		accion=m05bConstantes.ACC_ACTUALIZAR;
	    outMsg.println("<script>alert(dameAlerta(idioma, 5));</script>");
	}
	outMsg.close();

	if (reparacion == null){
		reparacion = new m05bReparacion();
		session.setAttribute("m05bReparacion",reparacion);
	}
	observaciones = reparacion.getRep_observacion();
	if (observaciones == null)
		observaciones = "";
	String observacionesEu = reparacion.getRep_observacionEu();
	if (observacionesEu == null)
		observacionesEu = "";
	String descEu=reparacion.getRep_descripcionEu();
	if(descEu==null)
		descEu="";
	
%>
 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma	var urlIdioma;
	var detPadre;		//Ventana padre de la actual
	var detActual;		//Ventana actual
	var rutaCabecera;	//Camino de migas
	urlIdioma = "<%=m05bConstantesPaginas.MTO_REPARACIONES%>?Codigo=<%=codigo%>&Mensaje=false";
	detPadre = '<%=resCM.getString("cmRelReparaciones")%>';
	rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_REPARACIONES%>" + "'>\\"+detPadre+"</a>";
	detActual = '<%=resCM.getString("cmMtoReparaciones")%>';
	//rutaCabecera += "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
 </SCRIPT>
 <%@include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<p>
			<FORM NAME="formReparacion" METHOD="POST">
					 <TABLE class="general">
					   	<tr>
					     <td width="90%" align="right"> 
					     	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
					     </td>
					     <td width="10%" align="right"> 					     
					     	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
					     </td>
						</tr>
					</TABLE>
					<p>
					    
						<% if ((codigo.equals("")) || (mensaje.equals("Existe")) ) {  %>
					
					      	    <p align="left"> <label class="inputFieldTitle"><%= res.getString("etCodigo")%></label><INPUT class="inputFieldOblig" size="15" TYPE="TEXT" NAME="Codigo" VALUE="<%=reparacion.getRep_codigo()%>" maxlength="4" /></p>
						    	<p align="left"><label class="inputFieldTitle"><%= res.getString("etDescripcion")%></label><INPUT class="inputFieldOblig" size="60" TYPE="TEXT" NAME="Descripcion" VALUE="<%=reparacion.getRep_descripcion()%>" maxlength="200"/></p>
					            <p align="left">  <label class="inputFieldTitle"><%= res.getString("etDescripcionEu")%></label><INPUT class="inputFieldOblig" size="60" TYPE="TEXT" NAME="DescripcionEu" VALUE="<%=m05bUtils.escape(descEu)%>" maxlength="200"/></p>
					            <p align="left"><label class="inputFieldTitle"><%= res.getString("etObservacion")%></label><INPUT class="inputFieldOblig" size="40" TYPE="TEXT" NAME="Observacion" VALUE="<%=m05bUtils.escape(observaciones)%>" maxlength="2000"/></p>
					            <p align="left"><label class="inputFieldTitle"><%= res.getString("etObservacionEu")%></label><INPUT class="inputFieldOblig" size="40" TYPE="TEXT" NAME="ObservacionEu" VALUE="<%=m05bUtils.escape(observacionesEu)%>" maxlength="2000"/></p>
				
						  <% }
						  	else  { %>
					
					      	    <p  align="left"> <label class="inputFieldTitle"><%= res.getString("etCodigo")%></label><INPUT class="inputFieldOblig" size="15" TYPE="TEXT" NAME="Codigo" disabled VALUE="<%=reparacion.getRep_codigo()%>" maxlength="4"/></p>
					            <p  align="left"><label class="inputFieldTitle"><%= res.getString("etDescripcion")%></label><INPUT class="inputFieldOblig" size="60" TYPE="TEXT" NAME="Descripcion" VALUE="<%=reparacion.getRep_descripcion()%>" maxlength="200"/></p>
					            <p  align="left">  <label class="inputFieldTitle"><%= res.getString("etDescripcionEu")%></label><INPUT class="inputFieldOblig" size="60" TYPE="TEXT" NAME="DescripcionEu" VALUE="<%=m05bUtils.escape(descEu)%>" maxlength="200"/></p>
					           
					            <p align="left"><label class="inputFieldTitle"><%= res.getString("etObservacion")%></label><INPUT class="inputField" size="40" TYPE="TEXT" NAME="Observacion" VALUE="<%=m05bUtils.escape(observaciones)%>" maxlength="2000"/></p>
				                <p align="left"><label class="inputFieldTitle"><%= res.getString("etObservacionEu")%></label><INPUT class="inputField" size="40" TYPE="TEXT" NAME="ObservacionEu" VALUE="<%=m05bUtils.escape(observacionesEu)%>" maxlength="2000"/></p>
				
				
					      <%  }  %>
					  </TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>	</td>
	</tr>
</table>
<SCRIPT language='javascript'>
     function fncGrabar(codigo,accion) {
     	  	var docu = document.formReparacion;
	 	 	if(docu.Codigo.value==""){
				alert(dameAlerta(idioma, 0));
				docu.Codigo.focus();
				return;
			}
			if(!esEntero(docu.Codigo.value)){
				alert(dameAlerta(idioma, 1));
				docu.Codigo.focus();
				return;
			}
			
			if(docu.Descripcion.value==""||docu.DescripcionEu.value==""){
				alert(dameAlerta(idioma, 0));
				docu.Descripcion.focus();
				return;
			}
			if(existeCaracter(docu.Descripcion.value,"\'")||existeCaracter(docu.Descripcion.value,'\"')||existeCaracter(docu.DescripcionEu.value,"\'")||existeCaracter(docu.DescripcionEu.value,'\"')){
				alert(dameAlerta(idioma, 1));
				docu.Descripcion.focus();
				return;
			}
			
			if(accion=='<%=m05bConstantes.ACC_ELIMINAR%>'){
				if(!confirm('<%= res.getString("etCONFIRM_BORRAR")%>'))
					return;
			}
			
		  document.formReparacion.action="m05bGrabarReparacionServlet?Codigo=" + codigo + "&Accion=" + accion;
		  document.formReparacion.submit();
	  }
	setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
</HTML>